/*
// ===============================================
// ###############################################
// ### CSS - contact-rapide.css ##################
// ###############################################
// ===============================================
// ### HISTORIQUE DE VERSION #####################
// ===============================================
// 31/03/2026 : Ajustement
// 30/03/2026 : Harmonisation des valeurs de couleurs avec le thème.
// 20/10/2025 : Ajout du code de sécurité
// ===============================================
*/
:root {
  --contact-police: 'roboto Condensed', sans-serif;
  --contact-police-20: 20px;
  --contact-police-16: 16px;
  --contact-police-14: 14px;
  --contact-police-15: 15px;
  --contact-police-13: 13px;
  --contact-police-12: 12px;
}
.contact-rapide input, . contact-rapide textarea {
	font-family: var(--contact-police);
}
input.contact-rapide-formulaire-vrai {
	background-image: url('data:image/svg+xml;utf8,<svg version="1.1" id="Calque_1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" x="0px" y="0px" width="16px" height="13px" viewBox="0 0 16 13" style="enable-background:new 0 0 16 13;" xml:space="preserve"><path style="fill:%2333cc00" d="M3,4l3,3h1l6-7h1l2,2v1L7,13H6L0,7V6l2-2H3z"/></svg>');
	background-repeat: no-repeat;
	background-position: right +8px center;
	background-size: 2.1%;
}
input.contact-rapide-formulaire-faux {
	background-image: url('data:image/svg+xml;utf8,<svg version="1.1" id="Calque_1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" x="0px" y="0px" width="13px" height="13.001px" viewBox="0 0 13 13.001" style="enable-background:new 0 0 13 13.001;" xml:space="preserve"><path style="fill:%23cd0000" d="M9.263,6.5l3.452,3.453c0.381,0.382,0.381,0.999,0,1.381l-1.381,1.382c-0.381,0.381-1,0.381-1.381,0L6.5,9.263l-3.452,3.453c-0.381,0.381-1,0.381-1.381,0l-1.381-1.382c-0.381-0.382-0.381-0.999,0-1.381L3.739,6.5L0.286,3.048c-0.381-0.381-0.381-1,0-1.381l1.381-1.381c0.381-0.381,1-0.381,1.381,0L6.5,3.738l3.453-3.452c0.381-0.381,1-0.381,1.381,0l1.381,1.381c0.381,0.381,0.381,1,0,1.381L9.263,6.5z"/></svg>');
	background-repeat: no-repeat;
	background-position: right +8px center;
	background-size: 2.1%;
}
textarea.contact-rapide-formulaire-vrai {
	background-image: url('data:image/svg+xml;utf8,<svg version="1.1" id="Calque_1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" x="0px" y="0px" width="16px" height="13px" viewBox="0 0 16 13" style="enable-background:new 0 0 16 13;" xml:space="preserve"><path style="fill:%2333cc00" d="M3,4l3,3h1l6-7h1l2,2v1L7,13H6L0,7V6l2-2H3z"/></svg>');
	background-repeat: no-repeat;
	background-position: right +8px top +10px;
}
textarea.contact-rapide-formulaire-faux {
	background-image: url('data:image/svg+xml;utf8,<svg version="1.1" id="Calque_1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" x="0px" y="0px" width="13px" height="13.001px" viewBox="0 0 13 13.001" style="enable-background:new 0 0 13 13.001;" xml:space="preserve"><path style="fill:%23cd0000" d="M9.263,6.5l3.452,3.453c0.381,0.382,0.381,0.999,0,1.381l-1.381,1.382c-0.381,0.381-1,0.381-1.381,0L6.5,9.263l-3.452,3.453c-0.381,0.381-1,0.381-1.381,0l-1.381-1.382c-0.381-0.382-0.381-0.999,0-1.381L3.739,6.5L0.286,3.048c-0.381-0.381-0.381-1,0-1.381l1.381-1.381c0.381-0.381,1-0.381,1.381,0L6.5,3.738l3.453-3.452c0.381-0.381,1-0.381,1.381,0l1.381,1.381c0.381,0.381,0.381,1,0,1.381L9.263,6.5z"/></svg>');
	background-repeat: no-repeat;
	background-position: right +8px top +10px;
	background-size: 2.1%;
}
.contact-rapide-cadre {
	font-family: var(--contact-police);
	position: fixed;
	right: 30px;
	bottom: 20px;
	display: block;
	float: none;
	padding-bottom: 0px;
	z-index: 10000;
}
.contact-rapide-fenetre {
	background-color: rgb(var(--theme_couleur_blanc));
	display: none;
	float: none;
	width: 320px;
	position: relative;
	box-shadow: 5px 5px 15px rgba(var(--theme_couleur_noir),0.20);
	border-radius: 10px;
}
.contact-rapide-titre {
	display: flex;
	float: none;
	border-bottom-width: 1px;
	border-bottom-style: solid;
	border-bottom-color: rgb(var(--theme_couleur_gris_clair));
	position: relative;
	align-items: center;
	padding-left: 20px;
	padding-top: 15px;
	padding-bottom: 15px;
	border-radius: 10px 10px 0px 0px;
	user-select: none;
	transition-property: box-shadow;
	transition-duration: 0.3s;
	transition-timing-function: ease-in-out;
}
.contact-rapide-titre:hover {
	box-shadow: 0 0 0 4px rgba(var(--theme_couleur_1),0.3);
}
.contact-rapide-titre div {
	display: flex;
	float: none;
	width: 53px;
	position: relative;
	padding-right: 13px;
	align-items: center;
	justify-content: center;
}
.contact-rapide-titre div svg {
	fill: rgb(var(--theme_couleur_1));
	width: 40px;
	height: auto;
}
.contact-rapide-titre ul {
	display: block;
	margin: 0px;
	padding: 0px;
	float: none;
	list-style-type: none;
	position: relative;
}
.contact-rapide-titre ul li {
	font-size: var(--contact-police-15);
	user-select: none;
}
.contact-rapide-titre ul li:first-of-type {
	font-size: var(--contact-police-20);
	font-weight: bold;
}
.contact-rapide-fermer {
	display: flex;
	float: none;
	height: 21px;
	width: 21px;
	position: absolute;
	top: 12px;
	justify-content: center;
	align-items: center;
	cursor: pointer;
	transform: rotate(45deg);
	right: 12px;
	z-index: 100000;
	transition-property: transform;
	transition-duration: 0.3s;
	transition-timing-function: linear;
}
.contact-rapide-fermer:hover {
	transform: rotate(315deg);
}

.contact-rapide-fermer div:first-of-type {
    background-color: rgb(var(--theme_couleur_gris_moyen));
    display: block;
    float: none;
    height: 1px;
    width: 21px;
    position: absolute;
}
.contact-rapide-fermer:hover div:first-of-type {
	background-color: rgb(var(--theme_couleur_1));
}
.contact-rapide-fermer div:last-of-type {
    background-color: rgb(var(--theme_couleur_gris_moyen));
    display: block;
    float: none;
    height: 21px;
    width: 1px;
    position: absolute;
}
.contact-rapide-fermer:hover div:last-of-type {
	background-color: rgb(var(--theme_couleur_1));
}
.contact-rapide-formulaire {
	display: block;
	float: none;
	padding-top: 10px;
	padding-right: 20px;
	padding-bottom: 20px;
	padding-left: 20px;
	position: relative;
}
.contact-rapide-item-cadre {
	display: block;
	float: none;
	padding-top: 20px;
	position: relative;
}
.contact-rapide-item {
	display: flex;
	float: none;
	position: relative;
	flex-wrap: wrap;
	height: 34px;
}
.contact-rapide-label {
	display: flex;
	float: none;
	position: absolute;
	width: 70px;
	flex-grow: 1;
	align-items: center;
	padding-left: 10px;
	font-size: var(--contact-police-14);
	color: #666;
	background-color: #e6e6e6;
	user-select: none;
	left: 0px;
	top: 0px;
	height: 100%;
	border-radius: 4px 0px 0px 4px;
}
.contact-rapide-label-focus {
	display: flex;
	float: none;
	position: absolute;
	width: 70px;
	flex-grow: 1;
	align-items: center;
	padding-left: 10px;
	font-size: var(--contact-police-14);
	color: rgb(var(--theme_couleur_blanc));
	background-color: rgb(var(--theme_couleur_2));
	user-select: none;
	left: 0px;
	top: 0px;
	height: 100%;
	border-radius: 4px 0px 0px 4px;
}
.contact-rapide-label-up {
	display: flex;
	float: none;
	position: absolute;
	width: 70px;
	flex-grow: 1;
	align-items: center;
	padding-left: 10px;
	font-size: var(--contact-police-14);
	color: #fff;
	background-color: #CC0000;
	user-select: none;
	left: 0px;
	top: 0px;
	height: 100%;
	border-radius: 4px 0px 0px 4px;
}

.contact-rapide-champ {
	display: block;
	float: none;
	height: 34px;
	position: relative;
	flex-grow: 1;
	border-radius: 4px;
	box-sizing: border-box;
	appearance: none;
	 -webkit-appearance: none;
	outline: none;
	padding-left: 90px;
	font-size: var(--contact-police-14);
	border: 1px solid rgb(var(--theme_couleur_gris_clair));
	transition-property: box-shadow;
	transition-duration: 0.1s;
	transition-timing-function: ease-in-out;
	width: 100%;
}
.contact-rapide-champ-securite {
	display: block;
	font-size: var(--contact-police-14);
	color: #000;
	padding: 10px;
	float: none;
	width: 100%;
	border: 1px solid rgb(var(--theme_couleur_gris_clair));
	position: relative;
	border-radius: 4px;
	box-sizing: border-box;
	appearance: none;
	 -webkit-appearance: none;
	outline: none;
	transition-property: box-shadow;
	transition-duration: 0.1s;
	transition-timing-function: ease-in-out;
}
.contact-rapide-champ-securite:hover {
	border: 1px solid rgb(var(--theme_couleur_2));
}
.contact-rapide-champ-securite:focus {
	border: 1px solid rgb(var(--theme_couleur_2));
	box-shadow: 0 0 0 3px rgba(var(--theme_couleur_2),0.3);
}
.contact-rapide-item:hover> .contact-rapide-label {
	color: #fff;
	background-color: rgb(var(--theme_couleur_2));
}
.contact-rapide-item:hover> .contact-rapide-label-up {
	color: #fff;
	background-color:#CC0000;
}
.contact-rapide-champ:hover {
	border: 1px solid rgb(var(--theme_couleur_2));
}
.contact-rapide-champ:focus {
	border: 1px solid rgb(var(--theme_couleur_2));
	box-shadow: 0 0 0 3px rgba(var(--theme_couleur_2),0.3);
}
.contact-rapide-champ-up {
	display: block;
	float: none;
	height: 34px;
	position: relative;
	flex-grow: 1;
	border-radius: 4px;
	box-sizing: border-box;
	appearance: none;
	 -webkit-appearance: none;
	outline: none;
	padding-left: 90px;
	font-size: var(--contact-police-14);
	border: 1px solid #CC0000;
	background-color: #fff2f2;
	transition-property: box-shadow;
	transition-duration: 0.1s;
	transition-timing-function: ease-in-out;
}
.contact-rapide-champ-securite.contact-rapide-champ-up {
	padding: 10px;
}

.contact-rapide-champ-up:hover {
	border: 1px solid #CC0000;
}
.contact-rapide-champ-up:focus {
	border: 1px solid rgb(var(--theme_couleur_2));
	box-shadow: 0 0 0 3px rgba(var(--theme_couleur_2),0.3));
	background-color: rgb(var(--theme_couleur_blanc));
}
.contact-rapide-champ-up:invalid {
	-moz-box-shadow: none;
}
.contact-rapide-item-demande, .contact-rapide-item-securite {
	display: flex;
	float: none;
	position: relative;
	flex-wrap:wrap;
}
.contact-rapide-item-cadre-securite {
	display: flex;
	float: none;
	position: relative;
	flex-wrap:wrap;
	padding-top: 15px;
	padding-bottom: 15px;
	padding-left: 20px;
	padding-right: 20px;
	background-color: rgb(var(--theme_couleur_gris_blanc));
	border-radius: 8px;
}
.contact-rapide-label-demande, .contact-rapide-label-securite  {
	display: block;
	float: none;
	position: relative;
	font-size: var(--contact-police-14);
	color: #000;
	width: 100%;
	text-align: center;
	padding-bottom: 4px;
}
.contact-rapide-item-cadre-securite div label strong, .contact-rapide-item-cadre-securite input {
	font-family: monospace;
	font-size: 13px;
}
.contact-rapide-champ-demande {
	display: block;
	font-size: var(--contact-police-14);
	color: #000;
	padding: 10px;
	float: none;
	width: 100%;
	border: 1px solid rgb(var(--theme_couleur_gris_clair));
	position: relative;
	border-radius: 4px;
	box-sizing: border-box;
	appearance: none;
	 -webkit-appearance: none;
	outline: none;
	transition-property: box-shadow;
	transition-duration: 0.1s;
	transition-timing-function: ease-in-out;
}
.contact-rapide-champ-demande:hover {
	border: 1px solid rgb(var(--theme_couleur_2));
}
.contact-rapide-champ-demande:focus {
	border: 1px solid rgb(var(--theme_couleur_2));
	box-shadow: 0 0 0 3px rgba(var(--theme_couleur_2),0.3);
}
.contact-rapide-champ-demande-up {
	display: block;
	font-size: var(--contact-police-14);
	color: #000;
	padding: 10px;
	float: none;
	width: 100%;
	border: 1px solid #CC0000;
	background-color: #fff2f2;
	position: relative;
	border-radius: 4px;
	box-sizing: border-box;
	appearance: none;
	 -webkit-appearance: none;
	outline: none;
	transition-property: box-shadow;
	transition-duration: 0.1s;
	transition-timing-function: ease-in-out;
}
.contact-rapide-champ-demande-up:hover {
	border: 1px solid rgb(var(--theme_couleur_2));
}
.contact-rapide-champ-demande-up:focus {
	border: 1px solid rgb(var(--theme_couleur_1));
	box-shadow: 0 0 0 3px rgba(var(--theme_couleur_1),0.3);
	background-color: rgb(var(--theme_couleur_blanc));
}
.contact-rapide-champ-demande-up:invalid {
	-moz-box-shadow: none;
}
.contact-rapide-aide {
	padding-left: 10px;
	border-left-width: 5px;
	border-left-style: solid;
	border-left-color: rgb(var(--theme_couleur_gris_clair));
	font-size: var(--contact-police-12);
	margin-top: 5px;
	margin-right: 0px;
	margin-bottom: 0px;
	margin-left: 0px;
	display: none;
	float: none;
	position: relative;
	box-sizing: border-box;
	padding-top: 1px;
	padding-bottom: 1px;
	width: 100%;
}
.contact-rapide-message {
	padding-left: 10px;
	border-left-width: 5px;
	border-left-style: solid;
	border-left-color: #cc0000;
	font-size: var(--contact-police-12);
	color: #cc0000;
	margin-top: 5px;
	margin-right: 0px;
	margin-bottom: 0px;
	margin-left: 0px;
	display: none;
	float: none;
	position: relative;
	background-color: #fff2f2;
	padding-right: 5px;
	box-sizing: border-box;
	padding-top: 1px;
	padding-bottom: 1px;
}
.contact-rapide-info {
	padding-left: 10px;
	border-left-width: 6px;
	border-left-style: solid;
	border-left-color: #3398FF;
	font-size: var(--contact-police-14);
	color: #3398FF;
	margin-top: 0px;
	margin-right: 0px;
	margin-bottom: 0px;
	margin-left: 0px;
	display: none;
	float: none;
	position: relative;
	background-color: #F2F9FF;
	padding-right: 5px;
	box-sizing: border-box;
	padding-top: 1px;
	padding-bottom: 1px;
}
.contact-rapide-bas {
	display: flex;
	float: none;
	position: relative;
	justify-content: space-between;
	align-items: center;
	padding-top: 20px;
}
.contact-rapide-bas-descriptif {
	display: block;
	float: none;
	position: relative;
}
.contact-rapide-bas-descriptif p {
	font-size: var(--contact-police-13);
	margin: 0px;
	padding: 0px;
}
.contact-rapide-bas-descriptif a {
	font-size: var(--contact-police-13);
	color: #000;
	text-decoration: none;
	position: relative;
}
.contact-rapide-bas-descriptif a:hover {
	color: rgb(var(--theme_couleur_1));
}
.contact-rapide-bas-bouton {
	display: block;
	float: none;
	position: relative;
}
.contact-rapide-bouton {
	font-size: var(--contact-police-16);
	color: rgb(var(--theme_bouton_2_couleur_contenu));
	text-decoration: none;
	background-color: rgb(var(--theme_bouton_2_couleur_fond));
	display: inline-block;
	padding-top: 9px;
	padding-right: 15px;
	padding-bottom: 9px;
	padding-left: 15px;
	position: relative;
	border-radius: var(--theme_bouton_2_arrondi);
	border-top-style: none;
	border-right-style: none;
	border-bottom-style: none;
	border-left-style: none;
	appearance: none;
	 -webkit-appearance: none;
	outline: none;
	cursor: pointer;
	transition: box-shadow var(--theme_transition);
	background-image: none;
}
.contact-rapide-bouton:hover {
	color: rgb(var(--theme_bouton_2_couleur_contenu_survol));
	background-color: rgb(var(--theme_bouton_2_couleur_fond_survol));
	box-shadow: 0 0 0 var(--theme_bouton_2_halo) rgba(var(--theme_bouton_2_couleur_fond_survol),0.3);
}
.contact-rapide-action {
	font-family: var(--contact-police);
	background-color: rgb(var(--theme_couleur_1));
	display: flex;
	float: none;
	height: 60px;
	width: 60px;
	position: fixed;
	right: 40px;
	bottom: 60px;
	border-radius: 60px;
	justify-content: center;
	align-items: center;
	box-shadow: 5px 5px 15px rgba(var(--theme_couleur_noir),0.25);
	cursor: pointer;
	z-index: 100000;
}
@media screen and (max-width: 580px) {
	.contact-rapide-action {
	right: 20px;
	bottom: 40px;
	}
}
.contact-rapide-action:hover> div {
	box-shadow: 0px 0px 0px 20px rgba(var(--theme_couleur_1),0.3);
}
.contact-rapide-action div {
	background-color: rgb(var(--theme_couleur_blanc));
	display: flex;
	float: none;
	height: 40px;
	width: 40px;
	position: relative;
	border-radius: 40px;
	justify-content: center;
	align-items: center;
	box-shadow: 0px 0px 0px 10px rgba(var(--theme_couleur_1),0.3);
	transition-property: box-shadow;
	transition-duration: 0.5s;
	transition-timing-function: ease-in-out;
}
.contact-rapide-action div svg {
	fill: rgb(var(--theme_couleur_1));
	margin-top: 1px;
	margin-right: 2px;
}
